Get Network
curl --request GET \
--url https://api.mkinf.io/v0.1/projects/{projectId}/vpc/networks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mkinf.io/v0.1/projects/{projectId}/vpc/networks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mkinf.io/v0.1/projects/{projectId}/vpc/networks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "695b751c-2eaa-4e8b-8eb2-84cb367a69fe",
"name": "default-vpc-network",
"subnets": [
"7ceecd34-2631-4857-ad82-ceb9dfd09425",
"1f264f8a-a753-462a-8fa8-bfe7bdb90891",
"778aaeef-5edd-4fc6-868f-b6cdd17795b7"
],
"gateway": "898c4316-49d5-48c7-919c-4b7c71f006dc",
"cidr": "172.27.0.0/16"
}Networking
Get Network
Retrieve details for a VPC network
GET
/
projects
/
{projectId}
/
vpc
/
networks
/
{id}
Get Network
Get detailed information about a specific VPC network, including:
- Network configuration
- Subnet IDs
- Gateway information
- CIDR range
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I